%define		qtver	5.7.1
Summary:	A keyboard-driven, vim-like browser based on PyQt5
Name:		qutebrowser
Version:	1.8.3
Release:	1
License:	GPL v3+
Group:		X11/Applications/Networking
Source0:	https://github.com/qutebrowser/qutebrowser/archive/v%{version}.tar.gz
# Source0-md5:	a853c0352aaa60c3752f5a654870eb25
URL:		https://www.qutebrowser.org/
BuildRequires:	asciidoc
BuildRequires:	python3 >= 3.6
BuildRequires:	python3-setuptools
BuildRequires:	rpm-pythonprov
BuildRequires:	rpmbuild(macros) >= 1.714
Requires:	Qt5Core >= %{qtver}
Requires:	Qt5OpenGL >= %{qtver}
Requires:	Qt5Sql >= %{qtver}
Requires:	Qt5Sql-sqldriver-sqlite3 >= %{qtver}
Requires:	Qt5WebEngine >= %{qtver}
Requires:	bash
Requires:	hicolor-icon-theme
Requires:	python3 >= 3.6
Requires:	python3-PyQt5 >= 5.7.0
Requires:	python3-PyYAML
Requires:	python3-attrs
Requires:	python3-jinja2
Requires:	python3-pyPEG2
Requires:	python3-pygments
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
qutebrowser is a keyboard-focused browser with a minimal GUI. It’s
based on Python, PyQt5 and QtWebEngine and free software, licensed
under the GPL. It was inspired by other browsers/addons like dwb and
Vimperator/Pentadactyl.

%prep
%setup -q

grep -r '#!.*env bash' -l . | xargs %{__sed} -i -e '1 s,#!.*env bash.*,#!/bin/bash,'
grep -r '#!.*env python' -l . | xargs %{__sed} -i -e '1 s,#!.*env python.*,#!%{__python3},'

%build
%py3_build

%{__python3} scripts/asciidoc2html.py

%install
rm -rf $RPM_BUILD_ROOT

%py3_install

%{__make} -f misc/Makefile install PYTHON=/bin/true DESTDIR=$RPM_BUILD_ROOT PREFIX=%{_prefix}

%clean
rm -rf $RPM_BUILD_ROOT

%post
%update_desktop_database_post
%update_icon_cache hicolor

%postun
%update_desktop_database_postun
%update_icon_cache hicolor

%files
%defattr(644,root,root,755)
%doc README.asciidoc
%attr(755,root,root) %{_bindir}/qutebrowser
%{py3_sitescriptdir}/qutebrowser
%{py3_sitescriptdir}/qutebrowser-%{version}-py*.egg-info
%{_desktopdir}/org.qutebrowser.qutebrowser.desktop
%{_iconsdir}/hicolor/*x*/apps/qutebrowser.png
%{_iconsdir}/hicolor/scalable/apps/qutebrowser.svg
%{_mandir}/man1/qutebrowser.1*
%{_datadir}/metainfo/org.qutebrowser.qutebrowser.appdata.xml
%dir %{_datadir}/qutebrowser
%dir %{_datadir}/qutebrowser/scripts
%{_datadir}/qutebrowser/scripts/*.js
%attr(755,root,root) %{_datadir}/qutebrowser/scripts/*.py
%attr(755,root,root) %{_datadir}/qutebrowser/scripts/*.sh
%dir %{_datadir}/qutebrowser/userscripts
%attr(755,root,root) %{_datadir}/qutebrowser/userscripts/*
%changelog
* Thu Dec 05 2019 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/qutebrowser.git;a=log;h=master

* Thu Dec 05 2019 Jan Palus <atler@pld-linux.org> d1d78f1
- up to 1.8.3

* Sat Nov 23 2019 Jan Palus <atler@pld-linux.org> 67ea177
- up to 1.8.2

* Mon Oct 28 2019 Jan Rękorajski <baggins@pld-linux.org> e086f20
- rebuild with python 3.8
- release 2 (by relup.sh)

* Wed Sep 25 2019 Jan Palus <atler@pld-linux.org> e7437e4
- up to 1.8.0

* Thu Jul 18 2019 Jan Palus <atler@pld-linux.org> 24f090d
- up to 1.7.0

* Thu Jun 20 2019 Jan Palus <atler@pld-linux.org> d8c9bc0
- up to 1.6.3

* Tue May 07 2019 Jan Palus <atler@pld-linux.org> 83f7e13
- up to 1.6.2

* Wed Mar 20 2019 Jan Palus <atler@pld-linux.org> d6cd706
- up to 1.6.1

* Sun Mar 03 2019 Jan Palus <atler@pld-linux.org> 2ab089c
- R: Qt5Sql-sqldriver-sqlite3

* Mon Feb 25 2019 Jan Palus <atler@pld-linux.org> fdaa2be
- up to 1.6.0

* Sat Oct 27 2018 Jan Palus <atler@pld-linux.org> e83f2d2
- up to 1.5.2

* Tue Oct 16 2018 Jan Palus <atler@pld-linux.org> 73c83a4
- qutebrowser is noarch

* Mon Oct 15 2018 Jan Palus <atler@pld-linux.org> d4bfccd
- build help files; rel 2

* Sat Oct 13 2018 Jan Palus <atler@pld-linux.org> 155f64c
- up to 1.5.1

* Wed Oct 03 2018 Jan Palus <atler@pld-linux.org> 5fb1e78
- up to 1.5.0

* Mon Sep 03 2018 Jan Palus <atler@pld-linux.org> 326a47b
- up to 1.4.2

* Sat Sep 01 2018 Jan Palus <atler@pld-linux.org> fa863c6
- new (Version 1.4.1)

